---
search:
  tags:
    - Webhook Deliveries
    - GET
seo:
  description: >-
    List webhook deliveries. Reference for the GET /api/v1/webhook-deliveries
    endpoint in the torqee Connect API.
sidebar:
  label: List webhook deliveries
  badge: GET
title: List webhook deliveries
type: openapi-operation
---
`GET /api/v1/webhook-deliveries`

**Responses**

- `200` — Paginated delivery history
- `400` — Invalid pagination or filters
- `401` — Missing or invalid credentials
- `403` — Membership revoked or insufficient scope
- `404` — Tenant database could not be resolved for the workspace
- `500` — Unexpected server error
- `503` — Delivery history unavailable

Response example, 200:

```json
{
  "items": [
    {
      "id": "string",
      "eventId": "string",
      "eventType": "session.created",
      "endpointId": "string",
      "endpointName": "string",
      "endpointUrl": "http://example.com",
      "kind": "event",
      "status": "pending",
      "attemptCount": 0,
      "lastHttpStatus": 100,
      "nextAttemptAt": "2019-08-24T14:15:22Z",
      "terminalAt": "2019-08-24T14:15:22Z",
      "stopReason": "installation_unauthorized",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}
```
